Package Gnumed :: Package timelinelib :: Package wxgui :: Package components :: Package maincanvas :: Module noop :: Class NoOpInputHandler |
[frames] | no frames]

# Class NoOpInputHandler

source code

                   object --+
                            |
    inputhandler.InputHandler --+
                                |
                               NoOpInputHandler

Instance Methods
__init__(self, state, timeline_canvas) x.__init__(...) initializes x; see help(type(x)) for signature | source code
left_mouse_down(self, cursor, keyboard) | source code
Inherited from `inputhandler.InputHandler`: `dragscroll_timer_fired`, `left_mouse_up`, `mouse_moved` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, state, timeline_canvas) (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)

### left_mouse_down(self, cursor, keyboard) | source code
Overrides: inputhandler.InputHandler.left_mouse_down